openssl098r

Source package: openssl098r

Repository: backports

Description

Special version of openssl for old PHP 4.4 packages.

Can be installed with system version.

If some packages need to be rebuilded with that version of openssl, then you need to add into makefile, debian/rules this code:

PKG_CONFIG_PATH:=
ifneq ("$(wildcard /opt/openssl098r/usr/include)","")
# backported openssl 0.9.8
CFLAGS += -I/opt/openssl098r/usr/include -L/opt/openssl098r/usr/lib
PKG_CONFIG_PATH:=$(PKG_CONFIG_PATH)/opt/openssl098r/usr/lib/pkgconfig:
endif

Last Updated on 28.05.2022 by Sergey Dryabzhinsky